#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81fd5219, "usb_serial_register_drivers" },
	{ 0x4be66af9, "usb_control_msg" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0xd1005013, "_dev_err" },
	{ 0xd6c5d6d, "usb_wwan_close" },
	{ 0x37a0cba, "kfree" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xdd504c09, "usb_clear_halt" },
	{ 0x8fc40bdf, "usb_wwan_open" },
	{ 0xd12a7bc, "usb_serial_deregister_drivers" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x32886771, "usb_wwan_port_probe" },
	{ 0x8cf72c51, "usb_wwan_port_remove" },
	{ 0x6d0fa417, "usb_wwan_write" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "usbserial,usb_wwan");

MODULE_ALIAS("usb:v0BC3p0001d*dc*dsc*dp*ic*isc*ip*in*");
